Update

  • PATCH
  • /workspaces
  • /:workspace
  • /members
  • /:member_id

Update workspace member configuration

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

member_idrequiredinteger
The ID of the member

Example: 216

POST PARAMETERS
adminboolean
Whether the user has admin privileges
auto_assign_to_new_projectsboolean
Whether user is automatically assigned to new projects
auto_assign_permission_set_idinteger
ID of permission set to automatically assign to new projects

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
adminboolean
Whether the user has admin privileges
workspace_ownerboolean
Whether the user is workspace owner
auto_assign_to_new_projectsboolean
Whether user is automatically assigned to new projects
auto_assign_permission_set_idinteger
ID of permission set to automatically assign to new projects

Last modified on Jan 26, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/members/:member_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "admin": true, "auto_assign_to_new_projects": false, "auto_assign_permission_set_id": 2 }'